<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li class="current"><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_a.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>a()
: <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a55beddf67f69fc5312961b1b112560fb">ActivationLayerInfo</a>
</li>
<li>A11
: <a class="el" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#adde8ad2311dc11f75f5571a764c6af97">CLCoefficientTable</a>
</li>
<li>A12
: <a class="el" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a380c8116f7d47ce2367992bb986f9876">CLCoefficientTable</a>
</li>
<li>A22
: <a class="el" href="structarm__compute_1_1_c_l_coefficient_table.xhtml#a20800b3d0475448767d2b30c530e1e29">CLCoefficientTable</a>
</li>
<li>AccessWindowAutoPadding()
: <a class="el" href="classarm__compute_1_1_access_window_auto_padding.xhtml#a95f438953e0e9a4b1a8e71313c03672a">AccessWindowAutoPadding</a>
</li>
<li>AccessWindowHorizontal()
: <a class="el" href="classarm__compute_1_1_access_window_horizontal.xhtml#a41241ba3df57ef9b2b35ee837cbbecbf">AccessWindowHorizontal</a>
</li>
<li>AccessWindowRectangle()
: <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#ab188c1e89be24e1f21b045bc8818d706">AccessWindowRectangle</a>
</li>
<li>AccessWindowStatic()
: <a class="el" href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">AccessWindowStatic</a>
</li>
<li>AccessWindowVertical()
: <a class="el" href="classarm__compute_1_1_access_window_vertical.xhtml#aeee936a7e64982bb0304daa9a80905ef">AccessWindowVertical</a>
</li>
<li>activation()
: <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a63e05ce4946dd9807c005c1619fa337a">ActivationLayerInfo</a>
</li>
<li>ActivationFunction
: <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#a56297e0f7b215eea46c818cb7528d9ea">ActivationLayerInfo</a>
</li>
<li>ActivationLayerInfo()
: <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#af56abff12f887fddfa02e0bc18a318a1">ActivationLayerInfo</a>
</li>
<li>add_1D_tensor_argument()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a479e7043e65dc87de35d374e108510f7">ICLKernel</a>
</li>
<li>add_2D_tensor_argument()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#ac74dad3e61f79334f5e73f3c3ac603cb">ICLKernel</a>
</li>
<li>add_3D_tensor_argument()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a28f5847162f352444c6ac1825d0e99c7">ICLKernel</a>
</li>
<li>add_argument()
: <a class="el" href="classarm__compute_1_1_i_c_l_kernel.xhtml#a50f427a1d9419800972b9e03c4034311">ICLKernel</a>
</li>
<li>align_columns
: <a class="el" href="structarm__compute_1_1_i_o_format_info.xhtml#a1d81fe110d5dcac79dd73a532015bb94">IOFormatInfo</a>
</li>
<li>allocate()
: <a class="el" href="classarm__compute_1_1_c_l_multi_image.xhtml#acaefe811b78a2fdc4a0dba0c4029c3ef">CLMultiImage</a>
, <a class="el" href="classarm__compute_1_1_c_l_pyramid.xhtml#acaefe811b78a2fdc4a0dba0c4029c3ef">CLPyramid</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor_allocator.xhtml#a6e509c2a177b0b29e9e2369535094dee">CLTensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_i_tensor_allocator.xhtml#aa8a4946cd749d482dd996874d295af85">ITensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_multi_image.xhtml#acaefe811b78a2fdc4a0dba0c4029c3ef">MultiImage</a>
, <a class="el" href="classarm__compute_1_1_pyramid.xhtml#acaefe811b78a2fdc4a0dba0c4029c3ef">Pyramid</a>
, <a class="el" href="classarm__compute_1_1_tensor_allocator.xhtml#a6e509c2a177b0b29e9e2369535094dee">TensorAllocator</a>
</li>
<li>allocator()
: <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#a5330adc6ef4a662806ec236e2be07bbe">CLLut</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor.xhtml#ad6dc6b773780dd6b1ad17fc82368d9f3">CLTensor</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#a5330adc6ef4a662806ec236e2be07bbe">Lut</a>
, <a class="el" href="classarm__compute_1_1_tensor.xhtml#a531ec877bfc923dea3ab6f1be5e6e1ac">Tensor</a>
</li>
<li>alpha()
: <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a4ee7f04c477d0e6a2a3609c24a8815b8">NormalizationLayerInfo</a>
</li>
<li>anchor
: <a class="el" href="structarm__compute_1_1_valid_region.xhtml#a55a69b397082accd94221dd10b722cf7">ValidRegion</a>
</li>
<li>area()
: <a class="el" href="classarm__compute_1_1_size2_d.xhtml#ab220a7dd0ff5c86b4ba8acdf75af3252">Size2D</a>
</li>
<li>Array()
: <a class="el" href="classarm__compute_1_1_array.xhtml#aebf91d878dbda3d2416761fc6a4e3077">Array&lt; T &gt;</a>
</li>
<li>at()
: <a class="el" href="classarm__compute_1_1_i_array.xhtml#a861d8aa0fbeb6a0a33ec8d556b7e8657">IArray&lt; T &gt;</a>
</li>
<li>auto_padding()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#ac7af0020334c69f249f5a2e267a5c4f4">TensorInfo</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
